Name: perl-Bit-Vector
Version: 6.3
Release: 2
Summary: A module for high-performance Perl manipulation of bit vectors.
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Bit%3a%3aVector
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Bit-Vector-%{version}.tar.gz

%description
Bit::Vector is an efficient C library which allows you to handle bit
vectors, sets (of integers), "big integer arithmetic" and boolean
matrices, all of arbitrary sizes.

The library is efficient (in terms of algorithmical complexity) and
therefore fast (in terms of execution speed) for instance through the
widespread use of divide-and-conquer algorithms.

%prep
%setup -q -n Bit-Vector-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test


%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
        grep -v Carp::Clan.3pm.gz | \
        grep -v Carp/Clan | \
	grep -v "\.packlist" > Bit-Vector-%{version}-filelist
if [ "$(cat Bit-Vector-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

find $RPM_BUILD_ROOT/usr -name perllocal.pod -o -name 'Carp::Clan.3pm*' \
	-o -path '*Carp/Clan*' -o -name .packlist | xargs rm -f

%files -f Bit-Vector-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 6.3-1
- update to 6.3

* Wed Jul 16 2003 Elliot Lee <sopwith@redhat.com> 
- Rebuild, remove unpackaged files

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Aug 15 2002 Chip Turner <cturner@redhat.com>
- file list fix for Clan stuff

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed Jan 30 2002 cturner@redhat.com
- Specfile autogenerated

